<ion-header>

  <ion-toolbar>
    <ion-nav #mycontent [root]="rootPage"></ion-nav>
    <ion-title *ngIf="!isOn">The Movie Database</ion-title>
    <ion-searchbar *ngIf="isOn" (ionInput)="searchMovies($event)"></ion-searchbar>
    <ion-buttons end>
      <button *ngIf="!isOn" ion-button icon-only color="royal" (click)="toggleDetails()">
        <ion-icon name="search"></ion-icon>
      </button>
      <button *ngIf="isOn" ion-button icon-only color="royal" (click)="toggleDetails()">
        <ion-icon name="close"></ion-icon>
      </button>
      <button *ngIf="!isOn" ion-button icon-only color="royal" (click)="logoutUser()">
        <ion-icon ios="ios-exit" md="md-exit"></ion-icon>
      </button>
    </ion-buttons>
  </ion-toolbar>
</ion-header>

<ion-content padding id="movies-container">

  <ion-grid [hidden]="!hidden">
    <ion-row>
      <ng-container *ngFor="let movie of filteredMovies; let i = index">
        <ion-col col-6 col-md-4 *ngIf="movie.poster_path">
          <ion-card *ngIf="movie.poster_path"  (click)="openMovieDetails(movie.id)" (press)="showTitle(movie.title)" class="movie-card">
            <img src="{{imageUrl}}{{movie.poster_path}}"/>
          </ion-card>
        </ion-col>
      </ng-container>
    </ion-row>
  </ion-grid>

  <ion-row [hidden]="hidden">
    <h4 class="paragraph-title">Film Popolari</h4>
    <ion-slides>
      <ng-container *ngFor="let movie of popularMovies; let i = index">
        <ion-slide *ngIf="movie.poster_path">
          <img (click)="openMovieDetails(movie.id)" (press)="showTitle(movie.title)" class="movie-card poster" src="{{imageUrl}}{{movie.poster_path}}"/>
        </ion-slide>
      </ng-container>
    </ion-slides>
  </ion-row>

  <ion-row [hidden]="hidden">
    <h4 class="paragraph-title">Crime</h4>
    <ion-slides>
      <ng-container *ngFor="let movie of crimeMovies; let i = index">
        <ion-slide *ngIf="movie.poster_path">
          <img (click)="openMovieDetails(movie.id)" (press)="showTitle(movie.title)" class="movie-card poster" src="{{imageUrl}}{{movie.poster_path}}"/>
        </ion-slide>
      </ng-container>
    </ion-slides>
  </ion-row>

  <ion-row [hidden]="hidden">
    <h4 class="paragraph-title">Western</h4>
    <ion-slides>
      <ng-container *ngFor="let movie of westernMovies; let i = index">
        <ion-slide *ngIf="movie.poster_path">
          <img (click)="openMovieDetails(movie.id)" (press)="showTitle(movie.title)" class="movie-card poster" src="{{imageUrl}}{{movie.poster_path}}"/>
        </ion-slide>
      </ng-container>
    </ion-slides>
  </ion-row>

  <ion-row [hidden]="hidden">
    <h4 class="paragraph-title">Commedia</h4>
    <ion-slides>
      <ng-container *ngFor="let movie of comedyMovies; let i = index">
        <ion-slide *ngIf="movie.poster_path">
          <img (click)="openMovieDetails(movie.id)" (press)="showTitle(movie.title)" class="movie-card poster" src="{{imageUrl}}{{movie.poster_path}}"/>
        </ion-slide>
      </ng-container>
    </ion-slides>
  </ion-row>

  <ion-row [hidden]="hidden">
    <h4 class="paragraph-title">Animazione</h4>
    <ion-slides>
      <ng-container *ngFor="let movie of animationMovies; let i = index">
        <ion-slide *ngIf="movie.poster_path">
          <img (click)="openMovieDetails(movie.id)" (press)="showTitle(movie.title)" class="movie-card poster" src="{{imageUrl}}{{movie.poster_path}}"/>
        </ion-slide>
      </ng-container>
    </ion-slides>
  </ion-row>

</ion-content>

<!--

<ion-grid>
  <ion-row>
    <ion-col col-6 *ngFor="let movie of currentMovies; let i = index">
      <ion-card (click)="openMovieDetails(movie.id)" (press)="showActions(movie.title)" class="movie-card poster">
        <img src="{{imageUrl}}{{movie.poster_path}}"/>
      </ion-card>
    </ion-col>
  </ion-row>
</ion-grid>

<ion-infinite-scroll (ionInfinite)="doInfinite($event)">
  <ion-infinite-scroll-content
     loadingSpinner="bubbles"
     loadingText="Sto caricando altri film...">
   </ion-infinite-scroll-content>
</ion-infinite-scroll>


-->
